using DelimitedFiles

function check_known(word, knowns)
    if isempty(knowns)
        return true
    end

    for (v, k) in knowns
        if word[k] == v
            continue
        else
            return false
        end
    end
    return true
end


begin
    words = readdlm("wordle.txt")[:]

    keep = []
    for (index, word) in enumerate(words)
        if length(word) == 5
            push!(keep, index)
        end
    end

    words = lowercase.(words[keep])
end

# First Guesses
# PENIS
# SOARE 3.45
# RAISE 3.46
# ARISE 3.47
# SERAI 3.52

banned = ["w", "e", "u", "s", "k", "m", "d"]
contained = ["a", "l", "b"]
knowns = [('a', 2), ('b', 1)]

for word in words
    if any(occursin.(banned, word))
        continue
    end
    if all(occursin.(contained, word))
        if ~isempty(known)
            if check_known(word, knowns)
                println(word)
            end
        end
    end
end

